################################################################
#
#   Bell Runner - Playing Screen
#
################################################################

from screen import BRScreen
from level_playing_view import LevelPlayingView
from game import game

class PlayScreen(BRScreen):

	def __init__(self, shell):
		BRScreen.__init__(self, shell)
		self.level_view = LevelPlayingView()
		self.add(self.level_view)
		self.level_view.focus()

	def begin_frame(self):
		game.begin_frame()
		self.invalidate()
		if game.level_is_completed():
			if game.testing:
				self.shell.edit_level()
			elif game.playing_level_set():
				self.shell.play_next_level()
			else:
				self.shell.show_menu_screen()

	def key_down(self, e):
		if e.cmd:
			self.shell.menu_screen.key_down(e)
		else:
			BRScreen.key_down(self, e)
	
	def escape_key(self):
		if game.testing:
			self.shell.edit_level()
		else:
			self.shell.show_menu_screen()
